## org.opencyc.chat
Class IrcChat.DccServerThread

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.opencyc.chat.IrcChat.DccServerThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  IrcChat

public class IrcChat.DccServerThread
extends java.lang.Thread

Field Summary
`java.util.HashMap` `clients`
`boolean` `listening`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`IrcChat.DccServerThread(IrcChat ircBot, int port)`

Method Summary
`java.lang.String` `getLogin(java.net.Socket thisClient)`
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### listening

    public boolean listening

### clients

    public java.util.HashMap clients

Constructor Detail

### IrcChat.DccServerThread

    public IrcChat.DccServerThread(IrcChat ircBot,
                                   int port)
                            throws java.io.IOException

Method Detail

### run

    public void run()

  Overrides:
    `run` in class `java.lang.Thread`

### getLogin

    public java.lang.String getLogin(java.net.Socket thisClient)